import server_modules.status
import server_modules.error

def easydb_server_start(easydb_context):
    easydb_context.register_callback('api', {'name': 'status', 'callback': 'process_status'})
    easydb_context.register_callback('api', {'name': 'error', 'callback': 'process_error'})

def process_status(easydb_context, parameters):
    return server_modules.status.process_request(easydb_context, parameters)

def process_error(easydb_context, parameters):
    return server_modules.error.process_request(easydb_context, parameters)
